com.icesoft.faces.context.effects

## Class Move

- java.lang.Object
- - com.icesoft.faces.context.effects.Effect
  - - com.icesoft.faces.context.effects.Move

- All Implemented Interfaces:
    java.io.Serializable

      public class Move
      extends Effect

  Move an HTML element to a new position. Moves can be absolute or relative. Relative moves an element from it current position, absolute moves it from its begging position. (Here the HTML initially rendered it)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.icesoft.faces.context.effects.Effect

      `ea`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Move()`
    `Move(int x, int y)` Move an element to a new position.
    `Move(int x, int y, java.lang.String mode)` Move an element to a new position

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getFunctionName()` The javascript function name
    `java.lang.String` | `getMode()` Get the mode of the move (absolute or relative)
    `int` | `getX()` Get the X or left end position
    `int` | `getY()` Get the Y or top position
    `int` | `hasCode()`
    `void` | `setMode(java.lang.String mode)` Set the mode (absolute or realitve)
    `void` | `setX(int x)` Set the X or left end position
    `void` | `setY(int y)` Set the Y or top position

    - ### Methods inherited from class com.icesoft.faces.context.effects.Effect

      `getDelay, getDuration, getFps, getFrom, getId, getIntfromString, getQueue, getSequence, getSequenceId, getTo, hashCode, isFired, isQueued, isQueueEnd, isSubmit, isSync, isTransitory, setDelay, setDuration, setFired, setFps, setFrom, setId, setOptions, setQueue, setQueued, setQueueEnd, setSequence, setSequenceId, setSubmit, setSync, setTo, setTransitory, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Move

          public Move()

    - #### Move

          public Move(int x,
                      int y,
                      java.lang.String mode)

      Move an element to a new position
      Parameters:
        `x` - or left location
        `y` - or top location
        `mode` - can be relative or absolute

    - #### Move

          public Move(int x,
                      int y)

      Move an element to a new position. Mode is relative
      Parameters:
        `x` - or left location
        `y` - or top location

  - ### Method Detail

    - #### getX

          public int getX()

      Get the X or left end position
      Returns:

    - #### setX

          public void setX(int x)

      Set the X or left end position
      Parameters:
        `x` -

    - #### getY

          public int getY()

      Get the Y or top position
      Returns:

    - #### setY

          public void setY(int y)

      Set the Y or top position
      Parameters:
        `y` -

    - #### getMode

          public java.lang.String getMode()

      Get the mode of the move (absolute or relative)
      Returns:

    - #### setMode

          public void setMode(java.lang.String mode)

      Set the mode (absolute or realitve)
      Parameters:
        `mode` -

    - #### getFunctionName

          public java.lang.String getFunctionName()

      The javascript function name
      Specified by:
        `getFunctionName` in class `Effect`
      Returns:

    - #### hasCode

          public int hasCode()

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `Effect`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.